GNU bug report logs - #57627
29.0.50; [native-compilation] cl-loaddefs.el recompiled on startup

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: German Pacenza <germanp82@HIDDEN>; Keywords: moreinfo; dated Tue, 6 Sep 2022 14:55:04 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 10 Sep 2022 04:38:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 10 00:38:14 2022
Received: from localhost ([127.0.0.1]:36096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWsFy-0001RN-5m
	for submit <at> debbugs.gnu.org; Sat, 10 Sep 2022 00:38:14 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oWsFw-0001R9-Qx
 for 57627 <at> debbugs.gnu.org; Sat, 10 Sep 2022 00:38:13 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=5idGA432nKzNLyeSNo6lnpEWLeIb0kYi4bR71u+4Jt8=; b=IDAe2p1gs+45p273ffUjY4NcMP
 aO4O08rVqakRPZX5fqQ9QAVLLp7FyptmkSg1pRarvjlxRvORLTEZn5TNKwC2z/dwLw1OStQuPB51R
 GKI4hnGlYgEhd+DxI8BGdgD2To5CpiYyc3vXKif46F12BGMPNda0uXO7PqFmDdykKGC0=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oWsFo-0006Hv-G5; Sat, 10 Sep 2022 06:38:06 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <874jxfsv9o.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 10 Sep 2022 06:33:55 +0200")
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
 <83sfl4ihfo.fsf@HIDDEN> <xjf4jxke294.fsf@HIDDEN>
 <87mtbcp774.fsf@HIDDEN> <xjfzgfbcb5a.fsf@HIDDEN>
 <877d2e5ba1.fsf@HIDDEN> <xjftu5gd7st.fsf@HIDDEN>
 <87czc4v5id.fsf@HIDDEN> <xjfpmg4cqv0.fsf@HIDDEN>
 <874jxfsv9o.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEUQDRCBfH23tLVf
 Wlv///+bQZUnAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YJCgQeHkcjekoAAAGGSURBVDjLhZMNksMg
 CIWJXEDhAhEvoHL/u+3zp9022cw6yUzrJ8jjEaJ/lzyB+n/s5/InEB/2j6eA9lwRJ1zjek8pZqWb
 5RuwuUTqRRNvYOel+mPttw3oCkxuIK9cVv6M+AJNk1aAymySbhFhKOuV4gV4iDysar4Kbb6VyGHd
 u0WxpcpfIKhZGk9ePUE4JQUNZZbU8L72KaF9eQPNkkcOfvfqGJ2FCMnxG1AO2O/quMLd2y/oI30j
 /r37qyeRy8WODfJy8DMAFmbXsMAKSFhDp5SW1PQVwOQNBP+7mjtGhetlKnsVXy2sN2BZ6b5CCW//
 PpNVeEgt0nWujnNMDt90tw5g+9xRX6gXkfM9uPxOlCQjj8gOOXjdrcmbaovDkGlG8DyJJHIpGtEn
 TWUKatNfxbhV8nMAK9DurPMyr7NxJz4EOI4uMp04iuFMaeqgbti3oQLlehwAP2B/MB1jNYaVCR8j
 txS3SmsYnqMwTsEhFFtnKjIvhoM2wrGFIuBOQKN64Y5CN/gBh9Q54B8wl/YAAAAldEVYdGRhdGU6
 Y3JlYXRlADIwMjItMDktMTBUMDQ6MzA6MzArMDA6MDCs/fKYAAAAJXRFWHRkYXRlOm1vZGlmeQAy
 MDIyLTA5LTEwVDA0OjMwOjMwKzAwOjAw3aBKJAAAAABJRU5ErkJggg==
X-Now-Playing: Peter Gabriel's _Peter Gabriel 3_: "No Self-Control"
Date: Sat, 10 Sep 2022 06:38:04 +0200
Message-ID: <87v8pvrgib.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > (push #$
 native-comp-deferred-compilation-inhibited-list)
 (Or not actually #$, since that byte-compiles away, but 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57627
Cc: germanp82@HIDDEN, 57627 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> (push #$ native-comp-deferred-compilation-inhibited-list)

(Or not actually #$, since that byte-compiles away, but

  (push "foo-loaddefs.el" native-comp-deferred-compilation-inhibited-list)

and so on, I guess.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 10 Sep 2022 04:34:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Sep 10 00:34:08 2022
Received: from localhost ([127.0.0.1]:36086 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWsC0-0001Kz-3J
	for submit <at> debbugs.gnu.org; Sat, 10 Sep 2022 00:34:08 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53556)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oWsBy-0001KG-EV
 for 57627 <at> debbugs.gnu.org; Sat, 10 Sep 2022 00:34:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=cb9BHvw162FAtf50ialZOhSzHH/qk4sQQrllxQuHX5A=; b=ML3L9M5u+OTjF7LTQYJLw53Dpr
 B0EHa6DUssG06m8zh0JxVID/BljFaFGx/qh1n55toZunjJlucfoK9kKk/7RelW6OaSlwNTUpGsxYa
 YfbHx+su0BjzWoT+i0N26giJ9y/a7xi+WYYeQUz0yHaRMNXNHQst+s0EFfYYyY8wfo48=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oWsBo-0006EK-MT; Sat, 10 Sep 2022 06:33:59 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <xjfpmg4cqv0.fsf@HIDDEN> (Andrea Corallo's message of "Fri,
 09 Sep 2022 19:03:31 +0000")
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
 <83sfl4ihfo.fsf@HIDDEN> <xjf4jxke294.fsf@HIDDEN>
 <87mtbcp774.fsf@HIDDEN> <xjfzgfbcb5a.fsf@HIDDEN>
 <877d2e5ba1.fsf@HIDDEN> <xjftu5gd7st.fsf@HIDDEN>
 <87czc4v5id.fsf@HIDDEN> <xjfpmg4cqv0.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAD1BMVEUQDRCBfH23tLVf
 Wlv///+bQZUnAAAAAWJLR0QEj2jZUQAAAAd0SU1FB+YJCgQeHkcjekoAAAGGSURBVDjLhZMNksMg
 CIWJXEDhAhEvoHL/u+3zp9022cw6yUzrJ8jjEaJ/lzyB+n/s5/InEB/2j6eA9lwRJ1zjek8pZqWb
 5RuwuUTqRRNvYOel+mPttw3oCkxuIK9cVv6M+AJNk1aAymySbhFhKOuV4gV4iDysar4Kbb6VyGHd
 u0WxpcpfIKhZGk9ePUE4JQUNZZbU8L72KaF9eQPNkkcOfvfqGJ2FCMnxG1AO2O/quMLd2y/oI30j
 /r37qyeRy8WODfJy8DMAFmbXsMAKSFhDp5SW1PQVwOQNBP+7mjtGhetlKnsVXy2sN2BZ6b5CCW//
 PpNVeEgt0nWujnNMDt90tw5g+9xRX6gXkfM9uPxOlCQjj8gOOXjdrcmbaovDkGlG8DyJJHIpGtEn
 TWUKatNfxbhV8nMAK9DurPMyr7NxJz4EOI4uMp04iuFMaeqgbti3oQLlehwAP2B/MB1jNYaVCR8j
 txS3SmsYnqMwTsEhFFtnKjIvhoM2wrGFIuBOQKN64Y5CN/gBh9Q54B8wl/YAAAAldEVYdGRhdGU6
 Y3JlYXRlADIwMjItMDktMTBUMDQ6MzA6MzArMDA6MDCs/fKYAAAAJXRFWHRkYXRlOm1vZGlmeQAy
 MDIyLTA5LTEwVDA0OjMwOjMwKzAwOjAw3aBKJAAAAABJRU5ErkJggg==
X-Now-Playing: Peter Gabriel's _Peter Gabriel 3_: "Intruder"
Date: Sat, 10 Sep 2022 06:33:55 +0200
Message-ID: <874jxfsv9o.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Andrea Corallo <akrl@HIDDEN> writes: > Yes I think we should
 propapgate them, well at least `no-native-compile' > (I'm not sure of the
 others). Opinions are very welcome :) Perhaps we should make the
 no-native-compile
 thing into code instead of having it as a comment? I.e., we could put 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57627
Cc: germanp82@HIDDEN, 57627 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Andrea Corallo <akrl@HIDDEN> writes:

> Yes I think we should propapgate them, well at least `no-native-compile'
> (I'm not sure of the others).  Opinions are very welcome :)

Perhaps we should make the no-native-compile thing into code instead of
having it as a comment?  I.e., we could put

(push #$ native-comp-deferred-compilation-inhibited-list)

into the files instead?  (And then use that variable in addition to the
native-comp-deferred-compilation-deny-list defcustom.)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 9 Sep 2022 19:03:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 09 15:03:37 2022
Received: from localhost ([127.0.0.1]:35488 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWjHt-0007wj-6y
	for submit <at> debbugs.gnu.org; Fri, 09 Sep 2022 15:03:37 -0400
Received: from mx.sdf.org ([205.166.94.24]:64986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1oWjHp-0007wZ-HJ
 for 57627 <at> debbugs.gnu.org; Fri, 09 Sep 2022 15:03:35 -0400
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 289J3VhI013224
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Fri, 9 Sep 2022 19:03:31 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <87czc4v5id.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Fri,
 09 Sep 2022 19:09:46 +0200")
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
 <83sfl4ihfo.fsf@HIDDEN> <xjf4jxke294.fsf@HIDDEN>
 <87mtbcp774.fsf@HIDDEN> <xjfzgfbcb5a.fsf@HIDDEN>
 <877d2e5ba1.fsf@HIDDEN> <xjftu5gd7st.fsf@HIDDEN>
 <87czc4v5id.fsf@HIDDEN>
Date: Fri, 09 Sep 2022 19:03:31 +0000
Message-ID: <xjfpmg4cqv0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57627
Cc: germanp82@HIDDEN, 57627 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Andrea Corallo <akrl@HIDDEN> writes:
>
>> I'm not sure, shouldn't the cookie already be present in the
>> bytecode?
>
> It's not at present -- it's just a comment in the .el file, after all.
>
> But perhaps we could propagate that to the .elc file somehow?

Uh you are right!  Dunno why I was convinced cookies are present in the
.elc :/

Yes I think we should propapgate them, well at least `no-native-compile'
(I'm not sure of the others).  Opinions are very welcome :)

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 9 Sep 2022 17:09:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 09 13:09:59 2022
Received: from localhost ([127.0.0.1]:35293 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWhVv-0002M8-D6
	for submit <at> debbugs.gnu.org; Fri, 09 Sep 2022 13:09:59 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oWhVs-0002Lu-SW
 for 57627 <at> debbugs.gnu.org; Fri, 09 Sep 2022 13:09:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=PeW154JkbVQQRAgJhrTCFgZDKhlwOnYbCxUuNHit2sk=; b=jxgoI43z5MIY+zZj71ilGhIdKG
 hT10hMAikHH1JmhrmpuitrMUkRlaWI0cjBhRKQ3+0rA/f3z4ztaR9exthMk5kEtO0SbE0WryEA1Gm
 rOh9AlVxPrVgbFbvva8sjLJT8NrbSfLuI/aBcyj2KuOIu+oeQD0ndAj435E55m6LltIw=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oWhVk-0000pw-4k; Fri, 09 Sep 2022 19:09:50 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <xjftu5gd7st.fsf@HIDDEN> (Andrea Corallo's message of "Fri,
 09 Sep 2022 12:57:38 +0000")
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
 <83sfl4ihfo.fsf@HIDDEN> <xjf4jxke294.fsf@HIDDEN>
 <87mtbcp774.fsf@HIDDEN> <xjfzgfbcb5a.fsf@HIDDEN>
 <877d2e5ba1.fsf@HIDDEN> <xjftu5gd7st.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAJ1BMVEUaGhoiIyIfHx8e
 JiEcIR4pTDMiOCkvZD0UDBIzbkMcHSANDQ3///80p4IIAAAAAWJLR0QMgbNRYwAAAAd0SU1FB+YJ
 CRA7AStCAxoAAADPSURBVDjLY2AUxAqUGQQYwABKMQoKQDiGMBFmBlRgyMDAEpZmlpaWYgwkHeDi
 jIJAIrTUPLU8Ir2sNNQAoQNoAqNYalhaaoBZaGpqAlxcwBmkIy3VJS3BzCwZySggEGQpDa00iYzI
 DA0LRZJgBJqWGJZmEuZgFhaWaoCsg1HAhcXBhcGZAR0IMiowYAWMDDiAIHZhLgbcQIBEcdyW4wD4
 LCfVrFGADoZLCHJRTwICBDCDhouABmJARwOCzdHR0dG9e/fujo4dQHL3DiCXgQEA0lEnRjB5cFYA
 AAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMDktMDlUMTY6NTk6MDErMDA6MDA3K47mAAAAJXRFWHRk
 YXRlOm1vZGlmeQAyMDIyLTA5LTA5VDE2OjU5OjAxKzAwOjAwRnY2WgAAAABJRU5ErkJggg==
X-Now-Playing: Talking Heads's _Fear of Music_: "Electric Guitar"
Date: Fri, 09 Sep 2022 19:09:46 +0200
Message-ID: <87czc4v5id.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andrea Corallo <akrl@HIDDEN> writes: > I'm not sure,
 shouldn't
 the cookie already be present in the > bytecode? It's not at present -- it's
 just a comment in the .el file, after all. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57627
Cc: germanp82@HIDDEN, 57627 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Andrea Corallo <akrl@HIDDEN> writes:

> I'm not sure, shouldn't the cookie already be present in the
> bytecode?

It's not at present -- it's just a comment in the .el file, after all.

But perhaps we could propagate that to the .elc file somehow?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 9 Sep 2022 12:57:43 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 09 08:57:43 2022
Received: from localhost ([127.0.0.1]:32837 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWdZn-0007ed-2X
	for submit <at> debbugs.gnu.org; Fri, 09 Sep 2022 08:57:43 -0400
Received: from mx.sdf.org ([205.166.94.24]:51252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1oWdZk-0007eU-Ip
 for 57627 <at> debbugs.gnu.org; Fri, 09 Sep 2022 08:57:41 -0400
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 289Cvb3C026561
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Fri, 9 Sep 2022 12:57:39 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <877d2e5ba1.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Thu,
 08 Sep 2022 13:57:26 +0200")
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
 <83sfl4ihfo.fsf@HIDDEN> <xjf4jxke294.fsf@HIDDEN>
 <87mtbcp774.fsf@HIDDEN> <xjfzgfbcb5a.fsf@HIDDEN>
 <877d2e5ba1.fsf@HIDDEN>
Date: Fri, 09 Sep 2022 12:57:38 +0000
Message-ID: <xjftu5gd7st.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57627
Cc: germanp82@HIDDEN, 57627 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Andrea Corallo <akrl@HIDDEN> writes:
>
>> Yeah I think we should probably check directly in 'maybe_swap_for_eln'
>> and if the cookie is present just return (if that works).
>
> It would require reading the .el file in the main Emacs before forking
> off the sub-Emacs, I guess?  So it'd be slightly slower in general...
>
> But I guess there's no way around that.

Hi Lars,

I'm not sure, shouldn't the cookie already be present in the
bytecode?

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 8 Sep 2022 11:57:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 08 07:57:40 2022
Received: from localhost ([127.0.0.1]:57399 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oWGA8-0005fT-DM
	for submit <at> debbugs.gnu.org; Thu, 08 Sep 2022 07:57:40 -0400
Received: from quimby.gnus.org ([95.216.78.240]:53668)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oWGA6-0005fC-5g
 for 57627 <at> debbugs.gnu.org; Thu, 08 Sep 2022 07:57:38 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=sH5dGVOQmQrkMttkjm9hVy04UGH5jPN9DQmdgv63FAM=; b=pOYcq60fdkSANCuyQJIYuJ/w2Z
 IW2AhV29q44yyFaYdY2RhNpiuEMz6OQj7K6xshm3xArH58X890AiAza6p8o1tZ+m4FmyZZSb5mV3J
 Tvly69OfEHiHF3EWYp6Qo6YGqGL0pZXkhvUIpCnIQbiXHsE/fJ3wYBIX7Q8ABVYs0Rcc=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oWG9v-0001ru-AL; Thu, 08 Sep 2022 13:57:30 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <xjfzgfbcb5a.fsf@HIDDEN> (Andrea Corallo's message of "Wed,
 07 Sep 2022 18:06:09 +0000")
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
 <83sfl4ihfo.fsf@HIDDEN> <xjf4jxke294.fsf@HIDDEN>
 <87mtbcp774.fsf@HIDDEN> <xjfzgfbcb5a.fsf@HIDDEN>
X-Now-Playing: Jan Jelinek's _The Raw and The Cooked_: "The Raw and The
 Cooked (Zwischen Raum)"
Date: Thu, 08 Sep 2022 13:57:26 +0200
Message-ID: <877d2e5ba1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Andrea Corallo <akrl@HIDDEN> writes: > Yeah I think we
 should
 probably check directly in 'maybe_swap_for_eln' > and if the cookie is present
 just return (if that works). It would require reading the .el file in the
 main Emacs before forking off the sub-Emacs, I guess? So it'd be slightly
 slower in general... 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57627
Cc: germanp82@HIDDEN, 57627 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Andrea Corallo <akrl@HIDDEN> writes:

> Yeah I think we should probably check directly in 'maybe_swap_for_eln'
> and if the cookie is present just return (if that works).

It would require reading the .el file in the main Emacs before forking
off the sub-Emacs, I guess?  So it'd be slightly slower in general...

But I guess there's no way around that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 7 Sep 2022 18:06:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 14:06:13 2022
Received: from localhost ([127.0.0.1]:56142 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVzRE-0007FH-Oa
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 14:06:12 -0400
Received: from mx.sdf.org ([205.166.94.24]:61754)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1oVzRC-0007F9-S2
 for 57627 <at> debbugs.gnu.org; Wed, 07 Sep 2022 14:06:11 -0400
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 287I69t3015386
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Wed, 7 Sep 2022 18:06:09 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <87mtbcp774.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 06 Sep 2022 22:40:47 +0200")
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
 <83sfl4ihfo.fsf@HIDDEN> <xjf4jxke294.fsf@HIDDEN>
 <87mtbcp774.fsf@HIDDEN>
Date: Wed, 07 Sep 2022 18:06:09 +0000
Message-ID: <xjfzgfbcb5a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57627
Cc: germanp82@HIDDEN, 57627 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Andrea Corallo <akrl@HIDDEN> writes:
>
>> I think so, we emit the "Compiling" message already in the subprocess.
>> So yeah, if the requirement is not to spawn a process,
>> `no-native-compile' is not up to the job.
>
> It'd be better to detect this earlier.

Yeah I think we should probably check directly in 'maybe_swap_for_eln'
and if the cookie is present just return (if that works).

I can try to prepare and test a patch but not before Friday sorry.

Best Regards

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 7 Sep 2022 13:41:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 09:41:14 2022
Received: from localhost ([127.0.0.1]:54104 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVvIo-0008KS-Fy
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 09:41:14 -0400
Received: from quimby.gnus.org ([95.216.78.240]:42256)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oVvIl-0008K0-UU
 for 57627 <at> debbugs.gnu.org; Wed, 07 Sep 2022 09:41:12 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=U40G+GB879UuWCSEQLx/5PHP9qf8WUNk4+u3ywy46F8=; b=FCUrmpNrVw81bzYrONlKZNPxNA
 +cPWAT7aab7lraMJyn0pSRVPA4+ZA2gz/8GbmzAnoKFkEotfugkxzDyLEYCJBcjsAb31ts1lQ7SY4
 9ZhgoIBxbSZaHelgv0I/oA6RwuKihyVFiCqFKYtO83iUSFI6/g+yG2UPcWR7TvZTadfg=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oVvIc-0007GO-Kd; Wed, 07 Sep 2022 15:41:04 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: German Pacenza <germanp82@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <87y1uvl4fa.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 07 Sep 2022 15:06:33 +0200")
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
 <83sfl4ihfo.fsf@HIDDEN> <xjf4jxke294.fsf@HIDDEN>
 <87mtbcp774.fsf@HIDDEN> <83fsh3j4la.fsf@HIDDEN>
 <87a67bnyfq.fsf@HIDDEN>
 <DM5PR2201MB11610A9A38B4441F770E1241A7419@HIDDEN>
 <87y1uvl4fa.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEWboYmjPzU8KSj/
 //+jiQiqAAAAAWJLR0QDEQxM8gAAAAd0SU1FB+YJBw0oCMdQvTwAAAGgSURBVCjPTdG9btswEAfw
 k6AaNielU6GpSwNLT2F7yJApKUwC5tShMmo+hRI0RevJAUoh4aQGokD+n7InqUO5/XAf5B2J/j85
 FSK/pnW+SBvqPpZC9ymWC2JUp5X7KVbLCt8J+HMLJ3Al4GjtOu1fBOongOBiZYMYajBCNZRAhImR
 UVYLoMSXH78YdUiPzqC/WYIiXH8dKqwdR7juBVwocJ7AR+AhQjO4DcO/VpreD9wXBUc1iHYjxACD
 lqiYiuJOHhRtZiCRnPZUcAIQ8hGi8NUIkoqhf4+ROIGKuyntSmpHTSkBb0Iq9SMhMqwKqdWWmqiA
 ZhsSq+OESNk3jgxEnxT3TdZbqx8m9MldtrVqQ6lX6HjNn+1ekfiHe/81nZFtiIbhhie1CO+ec/KD
 mcFt9v1jxWiBjPw+OMabAy4qZittSM9TP9NKdAR/0h4Ktj1fCPagXmUNK9Ubgbdy8B7tgSeFPBpZ
 e367HQhHr091VJZT58XrRvNtekbb0CYZPxgd6/yBLiP6+920RBoRW16QQX07RRbO+/NUOjZwMPNX
 /AUxTAJZwyUQqgAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wOS0wN1QxMzo0MDowOCswMDowMKKF
 eocAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjItMDktMDdUMTM6NDA6MDgrMDA6MDDT2MI7AAAAAElF
 TkSuQmCC
X-Now-Playing: The Beatles's _Sgt. Peppers Lonely Hearts Club Band (2)_: "A
 Day In The Life (Take 1)"
Date: Wed, 07 Sep 2022 15:41:01 +0200
Message-ID: <87sfl35mky.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Lars Ingebrigtsen <larsi@HIDDEN> writes: > I think perhaps
 the easiest solution here would be to just pre-populate > that defcustom
 with '("loaddefs.el\\'"). Or perhaps remove the cookies again and arrange
 to have lisp/loaddefs.elc native-compiled. That would be even simpler, I guess.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57627
Cc: 57627 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I think perhaps the easiest solution here would be to just pre-populate
> that defcustom with '("loaddefs.el\\'").

Or perhaps remove the cookies again and arrange to have
lisp/loaddefs.elc native-compiled.  That would be even simpler, I guess.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 7 Sep 2022 13:11:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 09:11:02 2022
Received: from localhost ([127.0.0.1]:54042 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVupa-0005QU-3s
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 09:11:02 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41998)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oVupY-0005QA-Fz
 for 57627 <at> debbugs.gnu.org; Wed, 07 Sep 2022 09:11:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=r+hdZcxWIXTWAxCsw7N06omdDORMQ9xV4xl92BoqGbI=; b=akPE++33AQcMTZV6Ndv/MHNcyC
 Z2P7zKozOEpypn3AcfNxBKkIjf2bHOxUFEg8ssTlxhervcjuGpAqMtChlsE09jJue89ABRd8UdFaA
 G4JENHXTlA+9la4CDSqO+BTVzEnw4onIVD1shqzz5v/LbTpMt+YKro3zDrJwN8VENVWM=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oVupO-000738-CE; Wed, 07 Sep 2022 15:10:52 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <83zgfbgwmf.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 07 Sep
 2022 16:08:40 +0300")
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
 <83sfl4ihfo.fsf@HIDDEN> <xjf4jxke294.fsf@HIDDEN>
 <87mtbcp774.fsf@HIDDEN> <83fsh3j4la.fsf@HIDDEN>
 <87a67bnyfq.fsf@HIDDEN> <83zgfbgwmf.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAACVBMVEWhlEBJRSr////o
 CFXIAAAAAWJLR0QCZgt8ZAAAAAlwSFlzAAABLAAAASwAc4jpUgAAAAd0SU1FB+YJBhYCMCj24n4A
 AADgSURBVCjPdZLRCgQhCEUVxneD/J+CejfI//+VtWxmdx9GmMHDvZlKAO+BdqKcXG/4U9AUqDEt
 oF+F0r/tR3kFfAXg0Ut5musi30Yzj6/CYz4CjJ7KA/XqkWxI0h+lpbTu4OXFBmukAL4AJwNyO6Db
 vsA/5QMrSI/trvoDDNz4htZS1kgzSascgF0HVw24xGQ03b1zrdV6juGv7OvIqe4Ta0E6B22lqBjV
 HqWzFDSxPQNQ8Q3aPNvz7Yhp1XONhwSg22xaiQ6WQoanUS8gdmz+p/UaQvBbux+7h55kou9v6gPB
 V0n+mfEx0AAAAFplWElmTU0AKgAAAAgABQESAAMAAAABAAEAAAEaAAUAAAABAAAASgEbAAUAAAAB
 AAAAUgEoAAMAAAABAAEAAAITAAMAAAABAAEAAAAAAAAAAAEsAAAAAQAAASwAAAABYCqauwAAACV0
 RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wOS0wNlQyMjowMjo0NyswMDowMGs0yuQAAAAldEVYdGRhdGU6
 bW9kaWZ5ADIwMjItMDktMDZUMjI6MDI6NDcrMDA6MDAaaXJYAAAAF3RFWHRleGlmOllDYkNyUG9z
 aXRpb25pbmcAMawPgGMAAAAASUVORK5CYII=
X-Now-Playing: Khruangbin's _Late Night Tales: Version Excursions (Selected
 By Don Letts)_: =?utf-8?B?IuKAmERlcm4gS2FsYeKAmQ==?= (Khruangbin Dub Mix)"
Date: Wed, 07 Sep 2022 15:10:49 +0200
Message-ID: <87tu5jl486.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > In general, if you
 let Emacs native-compile everything it loads at > startup, the next startup
 it will not need to compile anything, since > the *.eln files are already
 available. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57627
Cc: germanp82@HIDDEN, 57627 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> In general, if you let Emacs native-compile everything it loads at
> startup, the next startup it will not need to compile anything, since
> the *.eln files are already available.

The loaddefs files aren't compiled, since they have a cookie stopping
that from happening.  So no .eln file is made.

> OTOH, I don't see a problem in Emacs starting an async compilation
> that ends up not compiling anything.  It runs in the background, so I
> don't think it interferes with anything?

It's inefficient and confusing.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 7 Sep 2022 13:09:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 09:09:06 2022
Received: from localhost ([127.0.0.1]:54032 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVuni-0005NR-Gr
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 09:09:06 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47196)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVune-0005Ms-Vd
 for 57627 <at> debbugs.gnu.org; Wed, 07 Sep 2022 09:09:05 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:56276)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVunZ-0002F8-DY; Wed, 07 Sep 2022 09:08:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=+nrWX3ps9ntQOKFr9wY2CsuY+Ivweec3p0xQ4v68Cpg=; b=En9if/lv3JnX
 VK/DhURwRqNiRN9w+699+F4AeEHgF0n5+1dHIv9tSCu3oRvWBRCQpVsKVJ0VDb7fj/XjiRAiksCPg
 E5Df5f+U2e7XprQC7FJ2F/GoNKcl9kIehiktq88AzMMlo49LsatIJtnzhGeNKqc1YdNG14/SvWDFl
 7svF58YEkRof52GDDt63RCGcRxUfgUg0xga2gIgWNCk3CpK8V7tIj3Gwlfe2ydDmuHWgxd4ZymUBt
 kPEjUouv0UYdtsSBx0fCY+p7ZozPd5gWmWD78BWvPHHCy1kYr8W3ritudjR+5dZj6RMwPxfJAjBMl
 1w/8gTGTZtwa7iPk4PKuBQ==;
Received: from [87.69.77.57] (port=1917 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVunY-0002eY-U4; Wed, 07 Sep 2022 09:08:57 -0400
Date: Wed, 07 Sep 2022 16:08:40 +0300
Message-Id: <83zgfbgwmf.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87a67bnyfq.fsf@HIDDEN> (message from Lars Ingebrigtsen on Wed, 
 07 Sep 2022 14:47:37 +0200)
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
 <83sfl4ihfo.fsf@HIDDEN> <xjf4jxke294.fsf@HIDDEN>
 <87mtbcp774.fsf@HIDDEN> <83fsh3j4la.fsf@HIDDEN> <87a67bnyfq.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57627
Cc: germanp82@HIDDEN, 57627 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: akrl@HIDDEN,  germanp82@HIDDEN,  57627 <at> debbugs.gnu.org
> Date: Wed, 07 Sep 2022 14:47:37 +0200
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > If you let it finish, i.e. wait until list-processes shows an empty
> > buffer, it won't start these compilations in the next invocations.  At
> > least that's what happens to me.
> 
> It's not what happens to me.  Every time I start Emacs (not -Q), it
> says:
> 
> ---
> Compiling /home/larsi/src/emacs/nativecomp/lisp/emacs-lisp/cl-loaddefs.el...
> Compiling /home/larsi/src/emacs/nativecomp/lisp/net/tramp-loaddefs.el...
> Compilation finished.
> ---
> 
> > Btw, is that a GUI session or a -nw session?
> 
> GUI.

Then maybe it's a different issue than what I see here.  Since this is
not a -Q session, I don't know what you load there.  Suggest to start
Emacs under GDB with a breakpoint in Fload, and see what are we
loading that leads to those two.

In general, if you let Emacs native-compile everything it loads at
startup, the next startup it will not need to compile anything, since
the *.eln files are already available.  So if anything still tries to
load and thus native-compile those *-loaddefs files should be the
stuff you load itself, not the compilation infrastructure.

OTOH, I don't see a problem in Emacs starting an async compilation
that ends up not compiling anything.  It runs in the background, so I
don't think it interferes with anything?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 7 Sep 2022 13:06:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 09:06:44 2022
Received: from localhost ([127.0.0.1]:54024 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVulQ-0005Jg-0Q
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 09:06:44 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41936)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oVulO-0005JS-UM
 for 57627 <at> debbugs.gnu.org; Wed, 07 Sep 2022 09:06:43 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2m/a/BbjlS5WJ7J0P+HHonvvzKYyYnjC73C0nNN6Gqs=; b=COdG8EKHsdikYXveuUCkaIaRAe
 FxRqJFKRvU/V/7EQpVpSaMNya61Dgl6WwS7Pq1H3xWwaOgeCoL/oDYBhJ4Qpv5tJZ5Lzy80slxDEt
 gBcrF7mvO9tTEoQzEbZoRbjkFHffLRUyJhye5bU6CI+bng7lbp7e81kr07L9TAZPJ0iw=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oVulG-000714-AW; Wed, 07 Sep 2022 15:06:36 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: German Pacenza <germanp82@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <DM5PR2201MB11610A9A38B4441F770E1241A7419@HIDDEN>
 (German Pacenza's message of "Wed, 07 Sep 2022 10:01:48 -0300")
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
 <83sfl4ihfo.fsf@HIDDEN> <xjf4jxke294.fsf@HIDDEN>
 <87mtbcp774.fsf@HIDDEN> <83fsh3j4la.fsf@HIDDEN>
 <87a67bnyfq.fsf@HIDDEN>
 <DM5PR2201MB11610A9A38B4441F770E1241A7419@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAACVBMVEWhlEBJRSr////o
 CFXIAAAAAWJLR0QCZgt8ZAAAAAlwSFlzAAABLAAAASwAc4jpUgAAAAd0SU1FB+YJBhYCMCj24n4A
 AADgSURBVCjPdZLRCgQhCEUVxneD/J+CejfI//+VtWxmdx9GmMHDvZlKAO+BdqKcXG/4U9AUqDEt
 oF+F0r/tR3kFfAXg0Ut5musi30Yzj6/CYz4CjJ7KA/XqkWxI0h+lpbTu4OXFBmukAL4AJwNyO6Db
 vsA/5QMrSI/trvoDDNz4htZS1kgzSascgF0HVw24xGQ03b1zrdV6juGv7OvIqe4Ta0E6B22lqBjV
 HqWzFDSxPQNQ8Q3aPNvz7Yhp1XONhwSg22xaiQ6WQoanUS8gdmz+p/UaQvBbux+7h55kou9v6gPB
 V0n+mfEx0AAAAFplWElmTU0AKgAAAAgABQESAAMAAAABAAEAAAEaAAUAAAABAAAASgEbAAUAAAAB
 AAAAUgEoAAMAAAABAAEAAAITAAMAAAABAAEAAAAAAAAAAAEsAAAAAQAAASwAAAABYCqauwAAACV0
 RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wOS0wNlQyMjowMjo0NyswMDowMGs0yuQAAAAldEVYdGRhdGU6
 bW9kaWZ5ADIwMjItMDktMDZUMjI6MDI6NDcrMDA6MDAaaXJYAAAAF3RFWHRleGlmOllDYkNyUG9z
 aXRpb25pbmcAMawPgGMAAAAASUVORK5CYII=
X-Now-Playing: Easy Star All-Stars - =?utf-8?Q?=E2=80=98Within?= You Without
 =?utf-8?Q?You=E2=80=99's?= _Late Night
 Tales: Version Excursions (Selected By Don Letts)_: "Originally recorded
 by The Beatles"
Date: Wed, 07 Sep 2022 15:06:33 +0200
Message-ID: <87y1uvl4fa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  German Pacenza <germanp82@HIDDEN> writes: > For me it
 happens in both GUI and -nw . If I add: > (setq
 native-comp-deferred-compilation-deny-list
 '("cl-loaddefs.el")) I think perhaps the easiest solution here would be to
 just pre-populate that defcustom with '("loaddefs.el\\'"). 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57627
Cc: 57627 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

German Pacenza <germanp82@HIDDEN> writes:

> For me it happens in both GUI and -nw . If I add:
> (setq native-comp-deferred-compilation-deny-list '("cl-loaddefs.el"))

I think perhaps the easiest solution here would be to just pre-populate
that defcustom with '("loaddefs.el\\'").

> The *Async-native-compile-log* buffer is still created but it only says:
> Compilation finished.

Hm, that sounds like a bug -- it shouldn't create that buffer at all if
there's nothing to compile.  But perhaps it does the
native-comp-deferred-compilation-deny-list filtering at a too-late time
now?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 7 Sep 2022 13:02:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 09:02:14 2022
Received: from localhost ([127.0.0.1]:54001 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVuh4-0005C9-9V
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 09:02:14 -0400
Received: from mail-bn8nam11olkn2010.outbound.protection.outlook.com
 ([40.92.20.10]:21837 helo=NAM11-BN8-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <germanp82@HIDDEN>) id 1oVuh2-0005Bv-BX
 for 57627 <at> debbugs.gnu.org; Wed, 07 Sep 2022 09:02:12 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=dfdyPHpaHb8R9xtzJcUVnikT7QW6gg7Oi65hN7gaEzcV4nxrxIubiAYb30T9PygvvzhkXNsuZLYOZPjHKJan4htMEIQVb73KRzaU1T89Ay0htvKsPKWMvkHb4JggbdHp0AQcwX6LAlJKijifkquumxH2L9FhU5rMD6wf7v7ylC344l9Bqm5h9cU2FaW6WMa2I5Q1GNI4lIcKf+jculGZqsMyr3qJaq1hGYaqNesoPrDvNt4GxO5heZDqxTHUw5xQGEaNXKgJXnsj0ZiLvQJKIX4lxBbLY3tPUoGZE6OxyDWl6pzzFdra+PD2DcLkeposynYmCzEuylynYcFD3cPQKg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=xq7UHuBzSqH++4sQAt4OmO04Jz9jhP6GCNOZ+nPCJb0=;
 b=cDiP9/LGznockojJcnyzMvMSjpxmjg8V3wwVDp7rdS3RActkuVJerfLa/4u3XpUzZbfHSKW55/xJUXbN3LzmULUyaMBQEhF/xbPTLbT7/jompB7+1C1HpUYgmPuEZYMl150bu720oj+xNrUs7284b+jjCDwlOgnGSLxk6AknSZY9XCpREHEa8XGZ0svaucJ9GwtaRPykiZxsLz0PudwVwTiYa41A8CYHKk61NwOlnqlRG4Qk2bW/Lw9yvJZzvqEiyypgoQJiSs6XmfDsNTKuTPjXR1khIvEsMqbKEjE5KLyiukm4TK5Mn5oHfR5j66xT8q6bggJV8C3ghFquOjTE2Q==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=xq7UHuBzSqH++4sQAt4OmO04Jz9jhP6GCNOZ+nPCJb0=;
 b=u24Nf86MZ9zqMpezYWGBLPsuRChJJUSCp7oblvulMZnatH8BQOnkumV/Opr4mVkC5mF5SZIVyZHKNpcVQa5tdOOVKrpUEvqI64Kur1oAlhFJCY0QD1WNcRDBPmLKe0TcwpxHftO+7vtRs3/ih/JdIC/PzZL8poUmwZhlpxA6jv7KhYPYk9mEakSpTzFHxd3nRdaabP6kvhRkZ+ppWmgMlwaT3V03jrzP1FYxzyMY5yjz+U1JFdzyucoF0llhHrvESCS3r5g63S1jmU0EikWteXApw0XeOtP6Dipn8UhctarANm5wbIVuhaRJlJw5VEE1X6lYM/tGQ+eyfutDh6d74g==
Received: from DM5PR2201MB1161.namprd22.prod.outlook.com (2603:10b6:4:2f::19)
 by PH0PR22MB2828.namprd22.prod.outlook.com (2603:10b6:510:db::13)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5588.17; Wed, 7 Sep
 2022 13:02:05 +0000
Received: from DM5PR2201MB1161.namprd22.prod.outlook.com
 ([fe80::a8dd:f228:7400:a81e]) by DM5PR2201MB1161.namprd22.prod.outlook.com
 ([fe80::a8dd:f228:7400:a81e%7]) with mapi id 15.20.5588.012; Wed, 7 Sep 2022
 13:02:05 +0000
From: German Pacenza <germanp82@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <87a67bnyfq.fsf@HIDDEN>
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
 <83sfl4ihfo.fsf@HIDDEN> <xjf4jxke294.fsf@HIDDEN>
 <87mtbcp774.fsf@HIDDEN> <83fsh3j4la.fsf@HIDDEN>
 <87a67bnyfq.fsf@HIDDEN>
Date: Wed, 07 Sep 2022 10:01:48 -0300
Message-ID: <DM5PR2201MB11610A9A38B4441F770E1241A7419@HIDDEN>
Content-Type: text/plain
X-TMN: [779TuIVClNT32hSZI6JF4WZLTwqxJujf]
X-ClientProxiedBy: SC1P215CA0026.LAMP215.PROD.OUTLOOK.COM (2603:10d6:4:41::12)
 To DM5PR2201MB1161.namprd22.prod.outlook.com
 (2603:10b6:4:2f::19)
X-Microsoft-Original-Message-ID: <87leqvz6bn.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: c7b440a9-a7e3-4021-0fed-08da90d129c4
X-MS-TrafficTypeDiagnostic: PH0PR22MB2828:EE_
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: 7XfFbExuPZh9bi1fRArpj25twNTEqsF/Jhs3w+XxPZCDHsgKV6yd8eb42vs3bMumRV6YqlpKujNCB4zWYBl1zDtkrp2fOMA0HV/wNNoxLNwRZGP8npEcX4muBi418IqAiJbJ2CI3VAq6yCP0luXbqE22R4NNC8agkzUChXbUFS745Si2xCMfSyTzlKOO3y2JvSTw/bwOIfDz7Zs+u43gQeNV9N4ph3uM5CT6yf1VnC40BRTPaJ8NFCiJ1t9Ac02sNWO69uXEYgDPtYOsx0FMLCY1esMSSqMgD0R+OKJ1HFNE2+CyjVSWMvIsZGq70FnwWEh9pBEGC+YlzR05Pwyqo9pzXGiWjZMJe5cx1ipsIgQkhsPl31VgvKW+0JXk+5SllPDkVpnYpLAckHdTXkkDngb8HES2jjaRoU+pKz89rthlreOWeRyMLqY7vXO7ebYnCN0eic3YXxkXbFXbAuQBtvHz3pcgNGre8erBPb0nANvHOP/lmsrtdLQm94+avRrMT874iH8VqyFV/V12M7H8LXA24bM480h9QFMhltJxV4PkvoHVH92hN30qKnwGCC3Xb4ryn/xy0kW4zLcPTGcgEpfCZYxpl4YugJtZvgYtRwJMM/aDAOqT0xT+w7b/bOI2Sy5bq7PeHM1k6stdtlUgWN3j4+nVeWP69wuvbAyE+wyfM4YH0tUxpsrwF/rkALOv
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?cDkICRIbq736CdmvEgEI20UrjycBYAUG2kHsP8uK0FrMNXAXox2CGWI5RrPy?=
 =?us-ascii?Q?iVIWZoW6yJImZE7wXcjcK4RP3rcJuifm4yGff4Y5y8CPe9lQHzhrrgPna8ef?=
 =?us-ascii?Q?/5rgaikDTXCAvaWFvA3QQfaaiHcBmvzT6Ivq/F+YQV97Na3hsKaCicGQW2NG?=
 =?us-ascii?Q?hcfqEsdwdz3t0pNCB6C/UAy2xFusFcNHwbKSgg/tJmY2URTfYSCB0k1nRqjj?=
 =?us-ascii?Q?BbLLm0yLBqWEKKx9dNTzuNFRvsOhTdqW3LIPN6w4K3avlXxT/OCc2GYS+Ofm?=
 =?us-ascii?Q?86UhfbGHhEqTwMe94g3h5P1/6cEqOIpz+8J0fxlOQMCz++MJ+JRXUksUwyiK?=
 =?us-ascii?Q?H/ssX5f6mejD1W7QQRp3IsKp33/GR0VWJJFKHO2TsM0DLm2rVi4jymLOA8S3?=
 =?us-ascii?Q?jyWhKd/oLfiJv+5AYnmr3UhcKF1Auhi1mSzFgdew/ZRoWz73tyWkTgLx9hQI?=
 =?us-ascii?Q?A+o5tSr4ZxELt+Ai/ZrQm/kDFpglwNwcsUwlqwsIoW+Hsuusrq8Mk+MbHSul?=
 =?us-ascii?Q?hZ+utnYnBodsHr9APX/04FHPsCBAgqxN/+vtLogYVhlQhR/wi0ghspXsrrgt?=
 =?us-ascii?Q?eTEJCnmv2YTnf8+9AgkIEg9loSKbNkIdOHDPi7qUw524bl+Fwcsa8EM6Wihr?=
 =?us-ascii?Q?B8uAQWrUrZpGIfmLMQDND6qJukaV+UOXA3ZURKBJoQQ5S6LpgZiPTTlOLqKe?=
 =?us-ascii?Q?gri4lJ2/0kVfUK70eujEo/WjgQqnCkJ1kVN+bGNUSggUTpcvgzYhv3W1HnZ/?=
 =?us-ascii?Q?p2QM00xw5t17aTejf9SsRBTdFGqaLkBirxKCpHe2ADhP+W2jAvper4JuTnwX?=
 =?us-ascii?Q?osfojI/BBtkGH5USY843LqCfOByu/8X7lmee0bVy+tAkJ6xLsjNE1MMiNrrQ?=
 =?us-ascii?Q?leKGycQ32cb0LDODt1doAjXNvgagvWH/M8Xb0xfBJkUANQ5JPv+lsi5UgO4K?=
 =?us-ascii?Q?ktlPR0FuGJ+NGmAxcISqAbVm/T5NwSDQk1Pp+9tUiGAPZG9hD4z6aHnRjZJF?=
 =?us-ascii?Q?ac5metXUE4rBJrcUgosdndQV4UK4ONkeFwg0fHdd0mfs+etvR9jrorHqOcJk?=
 =?us-ascii?Q?kMqhw9zmvwdleZGKTiG30mqrhAqLqClo31tcH8C8YRfnXy9+tMMvd9w0ba4z?=
 =?us-ascii?Q?KjxVJqm34h2fWfs4bl2gCMfAsPqMWY2wHe7vmWojn98hvZ8N3eOD2ZaxM/oj?=
 =?us-ascii?Q?T722OqO2yYyYnMbmQ02ucnS+EzDFDUacxMP5YBEVvKPDcDTnMIiBh+QJzXuO?=
 =?us-ascii?Q?8SYoCZ4t64o/pgM4eOn+tm+0uHWe88kfEoBDyhTmQw=3D=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-c3c87.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: c7b440a9-a7e3-4021-0fed-08da90d129c4
X-MS-Exchange-CrossTenant-AuthSource: DM5PR2201MB1161.namprd22.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 07 Sep 2022 13:02:05.3063 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: PH0PR22MB2828
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 57627
Cc: 57627 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> It's not what happens to me.  Every time I start Emacs (not -Q), it
> says:
>
> ---
> Compiling /home/larsi/src/emacs/nativecomp/lisp/emacs-lisp/cl-loaddefs.el...
> Compiling /home/larsi/src/emacs/nativecomp/lisp/net/tramp-loaddefs.el...
> Compilation finished.
> ---
>

For me it happens in both GUI and -nw . If I add:
(setq native-comp-deferred-compilation-deny-list '("cl-loaddefs.el"))

The *Async-native-compile-log* buffer is still created but it only says:
Compilation finished.

-- 
German Pacenza




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 7 Sep 2022 12:47:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 07 08:47:49 2022
Received: from localhost ([127.0.0.1]:53893 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVuT6-0002Wo-OL
	for submit <at> debbugs.gnu.org; Wed, 07 Sep 2022 08:47:48 -0400
Received: from quimby.gnus.org ([95.216.78.240]:41508)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oVuT4-0002WW-Sl
 for 57627 <at> debbugs.gnu.org; Wed, 07 Sep 2022 08:47:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=QuPUaRxqK8Si2gy9OPERVxbp+FJKGb68O37nL/wjJFA=; b=MQ+bOY5ProLo51prp2Wawuex/1
 oJEE7HDtOHWKFixWbRUIPGx4AfwnQIFNIC3QM9KeB4vp+IkP7LgMOLSsU/vaND7psqlS1LhZfRvif
 LSQQgOT81tbBs++3WFx/G6BeyFzXYP2bkJ7ExYoEgPnxFR3yAcdomJNZ0MrVJDyVDM5U=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oVuSv-0006qt-Un; Wed, 07 Sep 2022 14:47:40 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <83fsh3j4la.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 07 Sep
 2022 05:33:37 +0300")
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
 <83sfl4ihfo.fsf@HIDDEN> <xjf4jxke294.fsf@HIDDEN>
 <87mtbcp774.fsf@HIDDEN> <83fsh3j4la.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAACVBMVEWhlEBJRSr////o
 CFXIAAAAAWJLR0QCZgt8ZAAAAAlwSFlzAAABLAAAASwAc4jpUgAAAAd0SU1FB+YJBhYCMCj24n4A
 AADgSURBVCjPdZLRCgQhCEUVxneD/J+CejfI//+VtWxmdx9GmMHDvZlKAO+BdqKcXG/4U9AUqDEt
 oF+F0r/tR3kFfAXg0Ut5musi30Yzj6/CYz4CjJ7KA/XqkWxI0h+lpbTu4OXFBmukAL4AJwNyO6Db
 vsA/5QMrSI/trvoDDNz4htZS1kgzSascgF0HVw24xGQ03b1zrdV6juGv7OvIqe4Ta0E6B22lqBjV
 HqWzFDSxPQNQ8Q3aPNvz7Yhp1XONhwSg22xaiQ6WQoanUS8gdmz+p/UaQvBbux+7h55kou9v6gPB
 V0n+mfEx0AAAAFplWElmTU0AKgAAAAgABQESAAMAAAABAAEAAAEaAAUAAAABAAAASgEbAAUAAAAB
 AAAAUgEoAAMAAAABAAEAAAITAAMAAAABAAEAAAAAAAAAAAEsAAAAAQAAASwAAAABYCqauwAAACV0
 RVh0ZGF0ZTpjcmVhdGUAMjAyMi0wOS0wNlQyMjowMjo0NyswMDowMGs0yuQAAAAldEVYdGRhdGU6
 bW9kaWZ5ADIwMjItMDktMDZUMjI6MDI6NDcrMDA6MDAaaXJYAAAAF3RFWHRleGlmOllDYkNyUG9z
 aXRpb25pbmcAMawPgGMAAAAASUVORK5CYII=
X-Now-Playing: The Tamlins - =?utf-8?Q?=E2=80=98Baltimore=E2=80=99's?= _Late
 Night Tales: Version
 Excursions (Selected By Don Letts)_: "Originally recorded by Randy Newman"
Date: Wed, 07 Sep 2022 14:47:37 +0200
Message-ID: <87a67bnyfq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Eli Zaretskii <eliz@HIDDEN> writes: > If you let it finish, 
 i.e. wait until list-processes shows an empty > buffer, it won't start these
 compilations in the next invocations. At > least that's what happens to me.
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57627
Cc: germanp82@HIDDEN, 57627 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Eli Zaretskii <eliz@HIDDEN> writes:

> If you let it finish, i.e. wait until list-processes shows an empty
> buffer, it won't start these compilations in the next invocations.  At
> least that's what happens to me.

It's not what happens to me.  Every time I start Emacs (not -Q), it
says:

---
Compiling /home/larsi/src/emacs/nativecomp/lisp/emacs-lisp/cl-loaddefs.el...
Compiling /home/larsi/src/emacs/nativecomp/lisp/net/tramp-loaddefs.el...
Compilation finished.
---

> Btw, is that a GUI session or a -nw session?

GUI.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 7 Sep 2022 02:34:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 22:34:05 2022
Received: from localhost ([127.0.0.1]:53033 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVktA-0007U3-T5
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 22:34:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55430)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVkt6-0007TV-PM
 for 57627 <at> debbugs.gnu.org; Tue, 06 Sep 2022 22:34:03 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:59272)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVkt0-0007Gm-VW; Tue, 06 Sep 2022 22:33:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=kAv2jzVb2jH/vs0cq0Ci3LrLP+JjlN7alUcS2abnwT4=; b=brcmCBiHiwgy
 WVKMoGTa8RsiGbumC4v6KpPUrlyNpV8e5h2wToznROqguc0IHEyDGz6tl4DGVHNOLQvhTzj+beYH2
 6216IoDrrlCgMXNGWGiLk8OYB+/q2xww192d4IqLhkNx9/ySNPnciTNQqz4SuYIe5vDWP6oks8/xa
 3xFlQ92IHeXu5TevPivCp/PqqTa0TmeQFPiG/nTd2d/rmiNqjluWM+/XMYx86aA1iJ5AzuBo27WYw
 GaaEEEipPgHXIM+qfNs6Hw/kHwy8YUyyZ2TxF4DvYES8KtkwzI73em074sRBSTaX2KZFQcAkRkgbH
 vC4C5q1Cmd1/kDzCF4yaCw==;
Received: from [87.69.77.57] (port=3029 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVkt0-0002NH-F2; Tue, 06 Sep 2022 22:33:54 -0400
Date: Wed, 07 Sep 2022 05:33:37 +0300
Message-Id: <83fsh3j4la.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
In-Reply-To: <87mtbcp774.fsf@HIDDEN> (message from Lars Ingebrigtsen on Tue, 
 06 Sep 2022 22:40:47 +0200)
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
 <83sfl4ihfo.fsf@HIDDEN> <xjf4jxke294.fsf@HIDDEN>
 <87mtbcp774.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57627
Cc: germanp82@HIDDEN, 57627 <at> debbugs.gnu.org, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Lars Ingebrigtsen <larsi@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>,  germanp82@HIDDEN,
>   57627 <at> debbugs.gnu.org
> Date: Tue, 06 Sep 2022 22:40:47 +0200
> 
> And...  since the .eln file is never written, it'll fork these Emacsen
> every time you start Emacs?  That seems to be the case -- I get
> 
> Compiling /home/larsi/src/emacs/nativecomp/lisp/emacs-lisp/cl-loaddefs.el...
> 
> in the async buffer on every Emacs restart.

If you let it finish, i.e. wait until list-processes shows an empty
buffer, it won't start these compilations in the next invocations.  At
least that's what happens to me.

Btw, is that a GUI session or a -nw session?  I see this in a -nw
session, which I can explain: we load the terminal-specific file from
lisp/term/, and that requires compilation, so we load comp.el to start
compilation, and that then loads all the dependencies of comp.el and
compiles them, which of course includes cl-lib, cl-macs, cl-loaddefs,
etc.

In a GUI session I don't expect all this to happen, so if it does, we
should investigate why we load something at startup in that case.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 6 Sep 2022 20:40:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 16:40:58 2022
Received: from localhost ([127.0.0.1]:52815 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVfNS-0003Ac-Ih
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 16:40:58 -0400
Received: from quimby.gnus.org ([95.216.78.240]:34304)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oVfNQ-0003AO-WD
 for 57627 <at> debbugs.gnu.org; Tue, 06 Sep 2022 16:40:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=/3O4IoeO4u5hNFBgVcSq2l3gSn1QhnDuGvOEjIO7M2g=; b=Tp6SGxWcrNruzi9RRm30rUHe6Q
 otmOF8WOaJCiiU744aaICbvVkj9Wkv2v2YKMIXDRTf7+vEuhAhEo44RGizPNqfX2hYqKaH6RRkESm
 bOGS+5n7JdzhQdLhMUDeplBp7qnF5gvVvKdORrCFoBsV0AyMW0xXzsPonNMg33O/7GyQ=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oVfNH-0008LP-Io; Tue, 06 Sep 2022 22:40:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <xjf4jxke294.fsf@HIDDEN> (Andrea Corallo's message of "Tue,
 06 Sep 2022 19:23:03 +0000")
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
 <83sfl4ihfo.fsf@HIDDEN> <xjf4jxke294.fsf@HIDDEN>
X-Now-Playing: Snapped Ankles's _Stunning Luxury_: "Letter From Hampi Mountain"
Date: Tue, 06 Sep 2022 22:40:47 +0200
Message-ID: <87mtbcp774.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andrea Corallo <akrl@HIDDEN> writes: > I think so, we emit
 the "Compiling" message already in the subprocess. > So yeah,
 if the requirement
 is not to spawn a process, > `no-native-compile' is not up to the job. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57627
Cc: germanp82@HIDDEN, 57627 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Andrea Corallo <akrl@HIDDEN> writes:

> I think so, we emit the "Compiling" message already in the subprocess.
> So yeah, if the requirement is not to spawn a process,
> `no-native-compile' is not up to the job.

It'd be better to detect this earlier.

And...  since the .eln file is never written, it'll fork these Emacsen
every time you start Emacs?  That seems to be the case -- I get

Compiling /home/larsi/src/emacs/nativecomp/lisp/emacs-lisp/cl-loaddefs.el...

in the async buffer on every Emacs restart.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 6 Sep 2022 19:23:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 15:23:07 2022
Received: from localhost ([127.0.0.1]:52730 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVeA7-0007M4-30
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 15:23:07 -0400
Received: from mx.sdf.org ([205.166.94.24]:56855)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1oVeA5-0007Lv-4b
 for 57627 <at> debbugs.gnu.org; Tue, 06 Sep 2022 15:23:05 -0400
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 286JN38M007525
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Tue, 6 Sep 2022 19:23:03 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <83sfl4ihfo.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 06 Sep
 2022 19:41:31 +0300")
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
 <83sfl4ihfo.fsf@HIDDEN>
Date: Tue, 06 Sep 2022 19:23:03 +0000
Message-ID: <xjf4jxke294.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57627
Cc: germanp82@HIDDEN, 57627 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> Cc: German Pacenza <germanp82@HIDDEN>, 57627 <at> debbugs.gnu.org
>> From: Andrea Corallo <akrl@HIDDEN>
>> Date: Tue, 06 Sep 2022 16:33:54 +0000
>>=20
>> > So the
>> >
>> > ;; no-native-compile: t
>> >
>> > cookie doesn't seem to actually work?  I've added Andrea to the CCs;
>> > perhaps he has some comments.
>>=20
>> Hi all,
>>=20
>> AFAICS it does work, the issue is that we print the "Compiling
>> blablabla.el" message before we giving up because we realize
>> no-native-compile is set... :/
>
> Are you sure?  If I do "M-x list-processes" right after starting
> Emacs, I see this in the list:
>
>   Compiling: /ho=E2=80=A6 5370 run *Async-native-compile-lo=E2=80=A6 /dev=
/pts/2 Main
> /home/eliz/git/emacs/native-comp/src/emacs --batch -l
> /tmp/emacs-async-comp-cl-loaddefs-UlziS9.el
>
> which tells me we really do native-compile cl-loaddefs.el.

I think so, we emit the "Compiling" message already in the subprocess.
So yeah, if the requirement is not to spawn a process,
`no-native-compile' is not up to the job.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 6 Sep 2022 16:42:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 12:42:00 2022
Received: from localhost ([127.0.0.1]:52517 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVbeC-0002rE-1O
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 12:42:00 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38754)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1oVbe9-0002qx-1O
 for 57627 <at> debbugs.gnu.org; Tue, 06 Sep 2022 12:41:58 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:34770)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVbe3-0001vT-GU; Tue, 06 Sep 2022 12:41:51 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=0jNjA1wCAt9bNMPdtlHrEOPkcwmcie3fTPA9LjPzGtY=; b=UI30vaIo/vexK9EPdWxw
 fCRjPMZVnB1fz8uAdLJ7QPvr7yJEK7A94ueCBnyuVNhhFzZ2Z4bJWXf3oQVd7HW4FGZQ2p2oko5Nu
 p8ld0Uhn/iTkNgpJs+lQoY1n9WkazMSc7mjlYi3lgJGRAkqsEnAhMnAaI2+0PLrWVBn9UvmRxLwy/
 Fhmh1VaYmkYE4ibVATsy1yRDLfmPAW8cJpcZU2HijDkmi2xXQw4/ymHi49d9H2mtSElpKdoQMyOih
 dmciubCAAP588FLTju6AaJ5lgoM0wbLLX9Igz7eQcQ3jenCxmYNMkxXFDtjeuo/kdu/y3gDg+b6TY
 HELbu4zBSP2aPw==;
Received: from [87.69.77.57] (port=1950 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1oVbe2-00034M-Er; Tue, 06 Sep 2022 12:41:51 -0400
Date: Tue, 06 Sep 2022 19:41:31 +0300
Message-Id: <83sfl4ihfo.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjf8rmwea31.fsf@HIDDEN> (message from Andrea Corallo on Tue, 
 06 Sep 2022 16:33:54 +0000)
Subject: Re: bug#57627: 29.0.50;
 [native-compilation] cl-loaddefs.el recompiled on startup
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN> <xjf8rmwea31.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57627
Cc: germanp82@HIDDEN, 57627 <at> debbugs.gnu.org, larsi@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: German Pacenza <germanp82@HIDDEN>, 57627 <at> debbugs.gnu.org
> From: Andrea Corallo <akrl@HIDDEN>
> Date: Tue, 06 Sep 2022 16:33:54 +0000
> 
> > So the
> >
> > ;; no-native-compile: t
> >
> > cookie doesn't seem to actually work?  I've added Andrea to the CCs;
> > perhaps he has some comments.
> 
> Hi all,
> 
> AFAICS it does work, the issue is that we print the "Compiling
> blablabla.el" message before we giving up because we realize
> no-native-compile is set... :/

Are you sure?  If I do "M-x list-processes" right after starting
Emacs, I see this in the list:

  Compiling: /ho… 5370    run     *Async-native-compile-lo… /dev/pts/2   Main    /home/eliz/git/emacs/native-comp/src/emacs --batch -l /tmp/emacs-async-comp-cl-loaddefs-UlziS9.el

which tells me we really do native-compile cl-loaddefs.el.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 6 Sep 2022 16:34:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 12:34:11 2022
Received: from localhost ([127.0.0.1]:52502 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVbWc-0002d2-Sz
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 12:34:11 -0400
Received: from mx.sdf.org ([205.166.94.24]:63538)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1oVbWQ-0002cM-VS
 for 57627 <at> debbugs.gnu.org; Tue, 06 Sep 2022 12:34:09 -0400
Received: from ma.sdf.org (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTPS id 286GXsJi023608
 (using TLSv1.3 with cipher TLS_AES_256_GCM_SHA384 (256 bits) verified NO);
 Tue, 6 Sep 2022 16:33:55 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <875yi0qz5b.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Tue,
 06 Sep 2022 17:51:44 +0200")
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 <875yi0qz5b.fsf@HIDDEN>
Date: Tue, 06 Sep 2022 16:33:54 +0000
Message-ID: <xjf8rmwea31.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 57627
Cc: German Pacenza <germanp82@HIDDEN>, 57627 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> German Pacenza <germanp82@HIDDEN> writes:
>
>> Yes at the end of the file, make bootstrap didn't help
>
> Hm, yes -- I can reproduce the problem here, too.
>
> So the
>
> ;; no-native-compile: t
>
> cookie doesn't seem to actually work?  I've added Andrea to the CCs;
> perhaps he has some comments.

Hi all,

AFAICS it does work, the issue is that we print the "Compiling
blablabla.el" message before we giving up because we realize
no-native-compile is set... :/

I'll think about how to fix this.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 6 Sep 2022 15:51:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 11:51:58 2022
Received: from localhost ([127.0.0.1]:52426 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVarl-0007PY-Tq
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 11:51:58 -0400
Received: from quimby.gnus.org ([95.216.78.240]:59998)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oVarj-0007PG-L9
 for 57627 <at> debbugs.gnu.org; Tue, 06 Sep 2022 11:51:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=FgB9lFUVmdXK17cNDPM8vkEWD0xMBZZhd5EvT99DZcQ=; b=nD/JPbD1Y+445GxSSq7EHya/UH
 SzapzwkkvKVOYnzsy8+GLa7IdhoThaRLSubVj7Sz8nhTxIIeMX8hEG6MqFexqFhQBjWo+nVrQgExn
 d+TfYWzUlvP/QOxt104JgqhhINhX+pUUQTQdlia1Y0lftmHYYOf4Q29eBlneRuVuVc20=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oVara-0006F1-SM; Tue, 06 Sep 2022 17:51:48 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: German Pacenza <germanp82@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
 (German Pacenza's message of "Tue, 06 Sep 2022 12:46:43 -0300")
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
 <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEXs6+m/XzS9jWSr
 SyAmGA2cNQ1tRxNgKQ7///9veFvhAAAAAWJLR0QIht6VegAAAAd0SU1FB+YJBg8yNg0k6UcAAAGe
 SURBVDjLjZPNboMwDMd5BTeqdh1CqGfqRnuBaDlXWcS9KvACFL/+7HxAyrppPgSHn/+xkzhVBTUA
 HGRQAB1/EHm8VJWCroFzGLFRZxnqc8PgCK5WqMC14OF4Bd+o5gpfAjroFCtqdho4AGh2BKDyDlnT
 adVxhLpqhyjAizn0XnuNiDrMM3A8R4nEhO5ZIVA4+khKkDmTHejpkciWg/96MsaQH70TsoKeZiNm
 WeX8Vm5PZJLRIJoMKApIOPGGGLy360KWxomJ5RIyiP+XcUkSqUpAFNDINrErknsCIhiDSQwl8Ahg
 iWBi3w4CTn0oyVIkoe4lg1hSiKe41jOYaKHZinycA8ibI7qdTAA0V9WJ4nHcPniV21s6MVFkwI7J
 R1aCz4uZrbhzoViP1uzBvBJJzsLXgF4DqXyRDQ5PSTiLnI4Aub8CSIrR/wR25oXGdFFlEit94h03
 Q/vcJHx/g3Z+A6uErw9DX7VF+5hwe+l9tL6U0CO+hQxymrgOottAQNJR8fFcChBN/wLSa9sBl8L3
 gLtfvwRFiv/m+AusOb4B0WFMQgS1hg4AAAAldEVYdGRhdGU6Y3JlYXRlADIwMjItMDktMDZUMTU6
 NTA6NTMrMDA6MDAnYbGVAAAAJXRFWHRkYXRlOm1vZGlmeQAyMDIyLTA5LTA2VDE1OjUwOjUzKzAw
 OjAwVjwJKQAAAABJRU5ErkJggg==
X-Now-Playing: Tom =?utf-8?Q?Z=C3=A9's?= _Todos os olhos_: "Cademar"
Date: Tue, 06 Sep 2022 17:51:44 +0200
Message-ID: <875yi0qz5b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: German Pacenza <germanp82@HIDDEN> writes: > Yes at the
 end of the file, make bootstrap didn't help Hm, yes -- I can reproduce the
 problem here, too. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57627
Cc: 57627 <at> debbugs.gnu.org, Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

German Pacenza <germanp82@HIDDEN> writes:

> Yes at the end of the file, make bootstrap didn't help

Hm, yes -- I can reproduce the problem here, too.

So the

;; no-native-compile: t

cookie doesn't seem to actually work?  I've added Andrea to the CCs;
perhaps he has some comments.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 6 Sep 2022 15:47:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 11:47:32 2022
Received: from localhost ([127.0.0.1]:52394 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVanU-0007Ck-0x
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 11:47:32 -0400
Received: from mail-dm6nam11olkn2033.outbound.protection.outlook.com
 ([40.92.19.33]:24928 helo=NAM11-DM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <germanp82@HIDDEN>) id 1oVanR-0007CP-KZ
 for 57627 <at> debbugs.gnu.org; Tue, 06 Sep 2022 11:47:31 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=ZmU8JDv5XhvhTe7LlPki7VhSlRHZGQpDcd8738fY6aQqXOz+v7yV2E9a5C2dlsFinGATq8U1BUYCqS92JX+Wklvhl76qSTAROG1DoVNWpcqE05YTYv+UhRlF+MDE/y8OzdeAPLoBU7Rl9yd9BJp/xLCCUWsjLkTHn9qSUums4bDt/dAqWLtPyKCF/Q3CDafnyTULIITFIc+FWlM451T1l3wkLqdEzHMOX3jDuPLOPh6sYeosyMN10ScYnuj7una7R/YXmWaG99FglWSN55ITQa2hq3iux71fsgtDgnKsLgjuj5r7ZoecpHMuyok2eKK5W+p9d2K3v941VjJN44sLbg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=R7vzj0lF//9LiYQA3T93WXvUiSSBzx2tIvpby3JQJOs=;
 b=kP1/mm3EyKAJlKbCDlRBJiXXR8jPk/YXb++8DXGmUPeoXwPU0jCa3iuxqb5XMdvYM2zyplRRqMAIwcsFFF8JkkY6vfAfAltC4jW2/aaRM7BHbbGx87HKALGULPTnKtEfPzMG8n5x5eifUoIE9jRxsZ612KYxB7l4jJVGlYibgpzG6G158tRF3k12ge6gEXpbDleS1duO4ELKy/+HrzTCXT6oYUZ7tvN31/9JnhprG0IurMTsHVPV5vUC4S6blb7SCCb0s7o3JyzSFJLbnEQ+lvVgQzoPt4VRHzPjbLmh7TYmRnb2NSk4GIoZJoxKRQwPQlW1BsBSWYnmRhjM7Vsh8g==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=R7vzj0lF//9LiYQA3T93WXvUiSSBzx2tIvpby3JQJOs=;
 b=AsaRbvHSvI3ylxdqSaL+miama6WLcQGZ6tWVgNcDOH+E3wxui35W2nLVTB9kpoSXGayIE9V47pZE3tn1yVvoNX43hjWn3OFdYtCzqSq3kDFeivn0CKFBP2KWIyHcYNAFeUiUqAZ/uar6iZEnoNowgIWTZqhrPrcD8L8CQ3gZDiUjAR1skduXuaMtvTVFSVSTEsY9pZNQHulsnGZfSGXHTAD1/0VCX+wpuF2oFufmCMGoGNVc4PaHPRr9EVDegYLdJnh15CZ1Im3NeaxMdeSR9JvevHTOpNeo9rbLtw+EXnOmb3WDwiimP7y0frhe8vumjYeITXImtuy6MsSipVLXYw==
Received: from DM5PR2201MB1161.namprd22.prod.outlook.com (2603:10b6:4:2f::19)
 by SA1PR22MB3124.namprd22.prod.outlook.com (2603:10b6:806:23c::12)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5612.12; Tue, 6 Sep
 2022 15:47:15 +0000
Received: from DM5PR2201MB1161.namprd22.prod.outlook.com
 ([fe80::a8dd:f228:7400:a81e]) by DM5PR2201MB1161.namprd22.prod.outlook.com
 ([fe80::a8dd:f228:7400:a81e%7]) with mapi id 15.20.5588.012; Tue, 6 Sep 2022
 15:47:15 +0000
From: German Pacenza <germanp82@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <87bkrsr1g2.fsf@HIDDEN>
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 <87bkrsr1g2.fsf@HIDDEN>
Date: Tue, 06 Sep 2022 12:46:43 -0300
Message-ID: <DM5PR2201MB11615EF4BBBC9DE0932D2F83A77E9@HIDDEN>
Content-Type: text/plain
X-TMN: [EnzcKDzEWBW4mDY9h4QIvSNocQQXOeVU]
X-ClientProxiedBy: SC1P15201CA0023.LAMP152.PROD.OUTLOOK.COM
 (2603:10d6:4:55::33) To DM5PR2201MB1161.namprd22.prod.outlook.com
 (2603:10b6:4:2f::19)
X-Microsoft-Original-Message-ID: <87a67c33q4.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: cf05b30a-9ba6-4112-47d8-08da901f0cb3
X-MS-TrafficTypeDiagnostic: SA1PR22MB3124:EE_
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: FuTBvvDSDM/VHyqB95fhcGyDQc5hkINHOgM8wDYaIuKRD8qujPrScZZ+k9RFSVr56i4oY34huIthEAM1eO5ZE4PEJTiZAvJJrw4+U2eQGuN5x3lc4wisk+7GU8TJMZ5Pje3Opw1WPz2IIyTI25uQia2AUsWXeJVlxE9MayziSPN78xjdft0ki7YwhBtfjgHYEjg5LMePvxaA2/oLam7MtsQPFBbl0PZLDoILTXXGlxL+Zmx0Y3BP2fXTZ1MRE9p7LCsMrC2SKtZTKvAQO03SG+/eDBvWa8rDfqpnPxuJ/kZvhM95JiooqvfBDdfJnfwtpuEg0MvKN6TyJaPdV8u/j/oxUSKPGbs04vpGqwwkB/NHIRThSVhccLnOI0m+Vly1afe9NI/UYueOzwZejFnIgu0aFa/mFndrGNXK1XoMyIJQ/mKxFYNKMxT3TGUc9IV98rxMTOWkvF18KRZWRyCwun95HKja9OYRqZpgOJqYYijJ3nwHXX2rV2d1gq1nIkDS75ai2q1f3g4o9BfWGDwz6AwEGjaXB/UclCNo80x1LtYp3CqO5fce8u/8V/CLcj92PwgGCC+rxE2dj0XiPeh5stOS7il1Ahhk2xG5S6tIdj3y2V1L6nFyskzj878qoyfE1sZZQXcXBzn9Xq5CLxJvI6tgn6IuDseY47czNHJNH7bZlPCedl3Qzkbsn6FOWxzi
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?zk86nLoNzn0I+w1MrUpxXjYfTCOt5OirQqtYROVp6sbhvjGDFuT/R4D10wiG?=
 =?us-ascii?Q?QklIvtFu9lmnRXaKFP3Ywo6UikStE+E5dwn+fxV3r9DhgnL5Zl2DuvFa9MEZ?=
 =?us-ascii?Q?JD10bZcnaI81Uv66RoJnGCVris+UNzXOMOtZnoISFYHQgkuqo8n6+P/2PmhT?=
 =?us-ascii?Q?D0AKh5mht07anpbx57iK3w+SBuIaHDFfefktTXktsHHu7YFAXuzWhteqsY/v?=
 =?us-ascii?Q?BNLw+cMw57lLGB8Y3g66QTLOYB2Q2YJAhj7JtZ6PNYNCaqYKWpv5htPa7rtz?=
 =?us-ascii?Q?74WgyddsQF65+fzDn4gQatwhZXuWTiMggvY07CboVS1NNWxymNdOsavoKxgn?=
 =?us-ascii?Q?z/NdE6VugJhIqZ/H6yG6KIhQZ1Xf3OBY+ZntcYLOwUqTE85/jOD8LPv9PCRa?=
 =?us-ascii?Q?wrmNsq0ZvadheddLrguF8caojzVWCc03ilJr1tVz/tDU6uyjGlvZC8ILa2Qf?=
 =?us-ascii?Q?tWfuxuscO4xkpTp25MsfBq0/1hqCCrS8mWRLX49QHKcb5mcOcw0xJMpRpXLi?=
 =?us-ascii?Q?0RaR0PWRNe96fwuq/BipZ/ffhd4T00zmMkRKa9vWlxScD7gXL7U0jLu7jBTI?=
 =?us-ascii?Q?9kqp7c5+R9oGx6jIH1NUA6LaIq8yMmzHGTgnh2Dnj/6og1P9NxuFzeq8v3Ol?=
 =?us-ascii?Q?SU98nE8suM66RDiFJWR3j4ebtOfNYJ9a3jed8N6yzsWcZJu7E4+KfeEU7x39?=
 =?us-ascii?Q?FTwzK6+frDprvVHgwrkpFRHrxP9REoDBdQM7VObePDrn1FeHV8Aa9N9on83c?=
 =?us-ascii?Q?aRvEYXnDozoSz7tUL31iRqktJcdrTqTXC/GseXAuw3GVw9EQAMGqT/Jl0s3B?=
 =?us-ascii?Q?XbC4P+6CtIOI4IoEnYNSm0PihiOxmJKXlZUtxyKJWw8o/pFVuLcB9Q0ACASj?=
 =?us-ascii?Q?jc4e7dZA85RCM2l4kQ04f0a/ZIoNFThDHEDwsD+QOdbhAyvvh67EqbUTFRE1?=
 =?us-ascii?Q?Wr8o8f1exLlHmZzUpVngxihELUUyW4uaWhbMCe7A7gvWaVT6smuvpyKlVv3+?=
 =?us-ascii?Q?xlvw0pyUPayFrzHNHT+c0am3GOruebsBBe83Ccr4uL/1qnswWW5lUenUtEgT?=
 =?us-ascii?Q?gNR1KoVXViSR7Nn+cjgg9TItoP+RgCXvLVirbrWTo4B4R7Yv0Pc76X8u27Vh?=
 =?us-ascii?Q?fLnV5ppSxSRJc36Rkxq/9dZONTH3gBi5AF9AhUHInmXFCUFkl4EYhQWMg9hW?=
 =?us-ascii?Q?gHMbx+vNPrcch60QW5DJinxebvnAZ4jVCK7dZqjlixyadnKYeo74jB+X0o24?=
 =?us-ascii?Q?WFcgOcApj6eKHjT7SHwNTe2QqDsRqHiDo9hfQXM3ww=3D=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-c3c87.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: cf05b30a-9ba6-4112-47d8-08da901f0cb3
X-MS-Exchange-CrossTenant-AuthSource: DM5PR2201MB1161.namprd22.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 06 Sep 2022 15:47:15.8582 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: SA1PR22MB3124
X-Spam-Score: 0.2 (/)
X-Debbugs-Envelope-To: 57627
Cc: 57627 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.8 (/)

Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
> Is there a 
>
> ;; no-native-compile: t
>
> cookie in your cl-loaddefs.el file?  If not, try saying "make
> bootstrap".

Yes at the end of the file, make bootstrap didn't help

;; Local Variables:
;; version-control: never
;; no-update-autoloads: t
;; no-native-compile: t
;; coding: utf-8-emacs-unix
;; End:

-- 
German Pacenza




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 57627 <at> debbugs.gnu.org:


Received: (at 57627) by debbugs.gnu.org; 6 Sep 2022 15:02:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 11:02:28 2022
Received: from localhost ([127.0.0.1]:52312 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVa5l-0003ir-I9
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 11:02:28 -0400
Received: from quimby.gnus.org ([95.216.78.240]:59414)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1oVa5j-0003iS-BS
 for 57627 <at> debbugs.gnu.org; Tue, 06 Sep 2022 11:02:19 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:Date:References:
 In-Reply-To:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=6SObpmDaFkVE6twjpIOV5bbiixVhW2lmFx/5Lguj0i8=; b=Diw4RQF5pjU21HBFejSyDXbFmJ
 famYgTJvAxnKVlKqujcnR0B9v17JwYgWraMqZTovBUqjqcXWxQ9wsuxvX4mfSV6x3um2GMg4pt/qH
 5aBbWWsfOfpyw9Qi2vm0mkoOXCWD4NpYvLU3nzekU+rayCdWAvGJchgymQjeJDTUt1go=;
Received: from [84.212.220.105] (helo=joga)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1oVa5W-0005s9-6T; Tue, 06 Sep 2022 17:02:12 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: German Pacenza <germanp82@HIDDEN>
Subject: Re: bug#57627: 29.0.50; [native-compilation] cl-loaddefs.el
 recompiled on startup
In-Reply-To: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
 (German Pacenza's message of "Tue, 06 Sep 2022 08:38:35 -0300")
References: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAgMAAAAqbBEUAAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAADFBMVEUmIiSMfHPIwr//
 ///XfD68AAAAAWJLR0QDEQxM8gAAAAd0SU1FB+YJBg4bFerHbekAAAGPSURBVCjPRdFBa6NAFAfw
 l1KH6MmCKepJignqp3BDG8KeTFGpPZlFhySfws0hbHMyIUrrKQYDOp9ynTG2c5of/5nHezwAmKtW
 rRZRAvTMeasWSJTeMPkUiBG2VxuGCq5/IONVC+2GPzXamD0u9cxSpG/4E0Vm1Rjw72GPBuE9/53c
 rfcvHYwW9X72g8/dlkE2LtHg33HbJxF8XLZ2h6MOX8sDg2QetQHR06RDrklYP9+w0yVs9MjNNX4L
 HQrRzK0m/tAZNL3YuKsvo0f8Vy7YqKCFTQVyrnRYBCkMXwUG0ePPwD/NJJYEoxOgyW7eYVECsrbP
 FOPGPwBSpvcUavayhJHnMSjXaZk8ZSZHwV1f63B5eJ9S3JF0gJ6VIqdAxAX/hEhD0S7KsU6P5I2h
 iVMhfSQVQ3A9ocQnZwreKzMhCQhbKsrLbPbL6yD4ZbEYeBv2R30PC4dbWyxRg2UWcat2DtpbIHoV
 RDHD2JViByrMno1BenAWFWYFrnD/YCN3lFFkYEsguCKbxwUYiYpjc/Afhu+BQQa9QocAAAAldEVY
 dGRhdGU6Y3JlYXRlADIwMjItMDktMDZUMTQ6Mjc6MjErMDA6MDCsSn7aAAAAJXRFWHRkYXRlOm1v
 ZGlmeQAyMDIyLTA5LTA2VDE0OjI3OjIxKzAwOjAw3RfGZgAAAABJRU5ErkJggg==
X-Now-Playing: Peter Gabriel's _Peter Gabriel 2_: "Perspective"
Date: Tue, 06 Sep 2022 17:02:05 +0200
Message-ID: <87bkrsr1g2.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  German Pacenza <germanp82@HIDDEN> writes: > Hi, every
 time I start emacs cl-loaddefs.el gets native-compiled. > > Compiling
 /usr/share/emacs/29.0.50/lisp/emacs-lisp/cl-loaddefs.el...
 > > I think it is related to 6c11214dc1124bcb459088e89334e1 [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 57627
Cc: 57627 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

German Pacenza <germanp82@HIDDEN> writes:

> Hi, every time I start emacs cl-loaddefs.el gets native-compiled.
>
> Compiling /usr/share/emacs/29.0.50/lisp/emacs-lisp/cl-loaddefs.el...
>
> I think it is related to 6c11214dc1124bcb459088e89334e16e46127e16

Is there a 

;; no-native-compile: t

cookie in your cl-loaddefs.el file?  If not, try saying "make
bootstrap".




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 6 Sep 2022 14:54:15 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 06 10:54:15 2022
Received: from localhost ([127.0.0.1]:52282 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1oVZxu-0003Jt-T6
	for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 10:54:15 -0400
Received: from lists.gnu.org ([209.51.188.17]:49896)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <germanp82@HIDDEN>) id 1oVWzi-0003Jl-U2
 for submit <at> debbugs.gnu.org; Tue, 06 Sep 2022 07:43:57 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:54468)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <germanp82@HIDDEN>)
 id 1oVWzi-0003Bk-NV
 for bug-gnu-emacs@HIDDEN; Tue, 06 Sep 2022 07:43:54 -0400
Received: from mail-dm6nam12olkn20828.outbound.protection.outlook.com
 ([2a01:111:f400:fe59::828]:43030
 helo=NAM12-DM6-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <germanp82@HIDDEN>)
 id 1oVWzg-0004Hz-8U
 for bug-gnu-emacs@HIDDEN; Tue, 06 Sep 2022 07:43:53 -0400
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=JW5N7AmBVcT0nhKGEnvLHfJw+As6v4saZ1y2LikZimftqJgzxZ8aUZOQ7NI8StSOPbbUyOPg49OuguNtbvYCbyEXx9Nwft/pu2DQRj1f7lPgHzLDKuq6KAr2zjcOm5+6clZyF9sQaVQ4/P/7HoIsQ+izlJdTEq1X8hPBv16Zw3pVeC6uGIZY2PrBnGlCDQo26vBd0YnkLWtr9NS2cUzAQ8jXKrjTPknO3/HNhn0zmps5J6Rn5Exb1gcPwnj6H/EhXMlwIDurxcA+QKqr1EJYDpv14tGVQZEuYZs00hnDQq6UvQss3PAqVeI/UAEQgpzsYhjgGwoOV3l9cVxU6GGAEw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=aOvaSU0F/2YORMsB7NeDSuj/LKTN9IZiGGh7o/0OExc=;
 b=fS478PqsxoK41hA4WUIiYAiH7j9hpD2Q3wzSnqIQxBfF1XnwgMDXGTvEQ8pf38yf30Welpc+GpV39FEZ0IsXZ4C8ubbgExQJVUPBZfsv//0Zq7OwPY9DmPu15N12jcGhwz0JLb52xLA2KoDEuwvvgMDdtQ/qjQE5OqGz03YFHuUGOPJsC8Zn8dncDnlzy7B3Lqxsv8mR/r+Dp0hokhkKojX0Pr2DBIDPx0BHUMq4T9+gIuUxHH7dVedeiblNfeuAsPDWkJWnyBOE8s+BJ5cbBpHe8EnKdy03EBvgHE7nialoPrnL9V5BwaadKsvoy0eD6xEbFJwqc5MVBtv4mK4mUw==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=none; dmarc=none;
 dkim=none; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hotmail.com;
 s=selector1;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=aOvaSU0F/2YORMsB7NeDSuj/LKTN9IZiGGh7o/0OExc=;
 b=scMV+SOoMy8gm6VVM40rSahOv4aoE3eQML3TYsJR5tISfHteXW9qz0P1p0DmeNbjA6+yLu5xUeY1EgsnbqVAjQDbaR3soI9hHEgjIweB1RP3D6CD1DRg7HnweiESyzM7lKKXRcGYUVBdxrJBge9ztzlLNJ60nJmNUz2Dk3vbn9pVVLeEZqypwNcpHVLReQ9qXzL/hPekQ6Q1e2CmC0jHf/bu5sl0UCaUzD+LrJPX4StYZTyf/DXm4G2S4ADpXhQpkE2x5QnShR6bxvCh0oZhn+WiEDKbSMrahJ8rTamKji0aUTEb/NTeXgC8HKVhWafnyZ77P0t3AiGG7aoA2GOrmQ==
Received: from DM5PR2201MB1161.namprd22.prod.outlook.com (2603:10b6:4:2f::19)
 by PH0PR22MB3324.namprd22.prod.outlook.com (2603:10b6:510:11b::8)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5588.12; Tue, 6 Sep
 2022 11:38:48 +0000
Received: from DM5PR2201MB1161.namprd22.prod.outlook.com
 ([fe80::a8dd:f228:7400:a81e]) by DM5PR2201MB1161.namprd22.prod.outlook.com
 ([fe80::a8dd:f228:7400:a81e%7]) with mapi id 15.20.5588.012; Tue, 6 Sep 2022
 11:38:48 +0000
From: German Pacenza <germanp82@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 29.0.50; [native-compilation] cl-loaddefs.el recompiled on startup
Date: Tue, 06 Sep 2022 08:38:35 -0300
Message-ID: <DM5PR2201MB1161DEA3A3B83D5611AD934DA77E9@HIDDEN>
Content-Type: text/plain
X-TMN: [0QkVlz2dTUBGWtw1aquXvbatKpGYL2ES]
X-ClientProxiedBy: SC1P152CA0049.LAMP152.PROD.OUTLOOK.COM (2603:10d6:1:1::24)
 To DM5PR2201MB1161.namprd22.prod.outlook.com
 (2603:10b6:4:2f::19)
X-Microsoft-Original-Message-ID: <87tu5k3f7o.fsf@HIDDEN>
MIME-Version: 1.0
X-MS-Exchange-MessageSentRepresentingType: 1
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 09f3c469-2e61-4c1c-2c9f-08da8ffc5ced
X-MS-TrafficTypeDiagnostic: PH0PR22MB3324:EE_
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: QrjhiypMixpcmOKkM0UMlWO8b9SdQqnpSDcUK91aLOTH/8zmr7dZ9CM6cQ56WmsL1bMyoRZAz1CntOf2X9AYs6/Zoc/DwFn36dlCMyri5g2J+N956lNn9i3cSsgiGYtCB43GXABu9I09HAgbmnWJtrxCzIVFDeZz8gMxSUO8+ie1jmtxxR/rhbi9Te4B6d2DUm60gWspKsrN2uXeI/M5gPcG7XHpKpE22IUuxcFaJ40ERs9eL/RpT56dEtOWo4aDdgUB49AFECKmeEYZHHKxaWrnkkkpl118iB+00bBabkfXyarfJLYBLJq/Dq7nVa2UEzLDKGP1kBcb1Hh9psnEQjvgT/VSgE79iEyF56nR7KetVZJTKP7sBdWAa5BurGzTSC81MTtTSPbDafE7sIjc7EiE4B9Elp4v36ejvqzIjbZIQjBJ6nWEXVjKAtCLzxOYJWRLpvLLcD6E0tnWFP71oQJaGJU3OfuWx2of/jhYr7iU+8KwDyq3GRnHsbKh3BdLA8gAPyMBN/wlM5xQ1tJa/suPF5euaVTM7DSLtuEEfaEs1YpW5fYXFpI+fatEj7SC33rcs5v1T+RTa+hPrKo+bayNknk2LBAXIoo0FoKn/3yvc27nvWK/AHpdO5Zd6xxEhg04fkt4FWRHgyeHaF/hgA==
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?us-ascii?Q?tZVjUYOEnu3pDx0J/UEePTZJGG4umRGRo6xgTusojZvmWorhHahywKABU+Og?=
 =?us-ascii?Q?ZMzfDD268nXNfOYys1uCb4nWZ3T4nJPKXVwY8SyfXZ1fyRKnj8Jb1391/b2C?=
 =?us-ascii?Q?ux7WEV8Mcem04jMjCES9dKjD3FA/jf1QAQc92qAi9WYw3/pJ289558dsu58B?=
 =?us-ascii?Q?MG/NkYL8UJ2+qU0jcA4mrL5PB8HCgogNbgWTlJn6HojQ99toYK5cqIbMLZ3z?=
 =?us-ascii?Q?P1rw3vwATD3NnDOUfRkYwAFYpydjmU8VPnCuzYwUUTu5ITvX5QN7haAkyt31?=
 =?us-ascii?Q?cV1CseQQJJeJ/d3+2jKBn7OJ6WIbtVI7k88N007qpXmL3N8SBGUDnFyRkeBX?=
 =?us-ascii?Q?yNpLJmmp2bgbx7zuouzf4ApqpDox3qtwcXaJfo5P7jNr/7BySsvV9HMWqrA+?=
 =?us-ascii?Q?HLREudQUa5uE1o6vz2TB8XBsL7MBig/ckrKp89cdLvZ2sL2BUl5orLRgQrdO?=
 =?us-ascii?Q?UxhciB4YP+HQVN/GOTKgbnMxoBMQLGwqiQKKGL/2ny7EICC6+M2CTYVIoeSR?=
 =?us-ascii?Q?RCVUBMvWhMmsqrSOLQDRNBleZ5D17XETGbXwNEovSx6O/j/n/L809M+J0bSa?=
 =?us-ascii?Q?TTiiJpxGogLaAgF3+tKsbUxtDItOxld9WzWD4f+bWB0++lo598plrIImKK4R?=
 =?us-ascii?Q?eUY/obQWViblX+WATCQJsBHEPfm9znptZEpb1LhdPrxnw85ZVMW6kPuyYBpp?=
 =?us-ascii?Q?TrqJROzC+7e2AF1algz0CHN4TU4yaHKLqPXiovOQXMtfpSxvnkeEouysObii?=
 =?us-ascii?Q?QZEY7IqCJyyE1caHCnS+DaP9OZEWE5VXF68ZnbiUemqCDCU+dvTrGdkvtydO?=
 =?us-ascii?Q?BWPN+xrFIHkATsvGMGu8/pIk4wC64u7P1S9HLqNOnPmyR5bJZZaITBoSmCC1?=
 =?us-ascii?Q?p4l3n5gFQUJV2hYfUpzYOgHh8nLzIrDKHgmbhmjUT92v0gBDFqzR8i/+mnCz?=
 =?us-ascii?Q?/Zo9IoK4nVgh6+u+Kw726nmNzPcvxQOlweVBLgkxcGhro7sQXYqWIxS4QsCM?=
 =?us-ascii?Q?9uAxCA2JOe3cQasczPr6Hv0Rtx0ThG74jTayOgR4A/PyhptBc9d+VuhQOxVS?=
 =?us-ascii?Q?hx0AkH6nqFrtI5TAArnd6d+v6z/qFtt+wzZZXWReSCYqzd141VTKQUdxzIp6?=
 =?us-ascii?Q?8jD5dN3HvtAHD9mX/45O4sGHpf9JUCHcfeGTgxFJSXTuZAmEF2UygDvqWDvG?=
 =?us-ascii?Q?XnYIQClFdEK0Y2Kty7Z+p3PKn+vOgYm92o/4stEnTF16yK7+mUNkU9wDhA51?=
 =?us-ascii?Q?XfVKs82nEPEQ6eNxRnHT7OI9f7ZOKLKP6HpJbYyHjQ=3D=3D?=
X-OriginatorOrg: sct-15-20-4755-11-msonline-outlook-c3c87.templateTenant
X-MS-Exchange-CrossTenant-Network-Message-Id: 09f3c469-2e61-4c1c-2c9f-08da8ffc5ced
X-MS-Exchange-CrossTenant-AuthSource: DM5PR2201MB1161.namprd22.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 06 Sep 2022 11:38:48.3517 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 84df9e7f-e9f6-40af-b435-aaaaaaaaaaaa
X-MS-Exchange-CrossTenant-RMS-PersistedConsumerOrg: 00000000-0000-0000-0000-000000000000
X-MS-Exchange-Transport-CrossTenantHeadersStamped: PH0PR22MB3324
Received-SPF: pass client-ip=2a01:111:f400:fe59::828;
 envelope-from=germanp82@HIDDEN;
 helo=NAM12-DM6-obe.outbound.protection.outlook.com
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001, T_SCC_BODY_TEXT_LINE=-0.01 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 06 Sep 2022 10:54:08 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)


Hi, every time I start emacs cl-loaddefs.el gets native-compiled.

Compiling /usr/share/emacs/29.0.50/lisp/emacs-lisp/cl-loaddefs.el...

I think it is related to 6c11214dc1124bcb459088e89334e16e46127e16

Thanks


In GNU Emacs 29.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
 3.24.34, cairo version 1.17.6) of 2022-09-06 built on KRONOS
Repository revision: 015fb4ac1c84485c563934087884f8a7dfe51955
Repository branch: master
System Description: Manjaro Linux

Configured using:
 'configure --prefix=/usr --sysconfdir=/etc --libexecdir=/usr/lib
 --localstatedir=/var --mandir=/usr/share/man --with-gameuser=:games
 --with-modules --without-libotf --without-m17n-flt --without-gconf
 --with-native-compilation --with-xinput2 --with-pgtk --without-xaw3d
 --with-sound=no --without-gpm --without-compress-install
 '--program-transform-name=s/\([ec]tags\)/\1.emacs/'
 'CFLAGS=-march=native -mtune=native -O2 -pipe -fno-plt -fexceptions
 -Wp,-D_FORTIFY_SOURCE=2 -Wformat -Werror=format-security
 -fstack-clash-protection -fcf-protection'
 LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LCMS2 LIBSYSTEMD LIBXML2 MODULES NATIVE_COMP NOTIFY INOTIFY PDUMPER PGTK
PNG RSVG SECCOMP SQLITE3 THREADS TIFF TOOLKIT_SCROLL_BARS WEBP XIM GTK3
ZLIB

Important settings:
  value of $LC_MONETARY: es_AR.UTF-8
  value of $LC_NUMERIC: es_AR.UTF-8
  value of $LC_TIME: es_AR.UTF-8
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Fundamental

Minor modes in effect:
  savehist-mode: t
  vertico-multiform-mode: t
  vertico-mode: t
  popper-mode: t
  minibuffer-depth-indicate-mode: t
  delete-selection-mode: t
  mood-line-mode: t
  straight-use-package-mode: t
  straight-package-neutering-mode: t
  straight-live-modifications-mode: t
  global-so-long-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  buffer-read-only: t
  line-number-mode: t
  indent-tabs-mode: t
  transient-mark-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t

Load-path shadows:
/home/german/.emacs.d/straight/build/transient/transient hides /usr/share/emacs/29.0.50/lisp/transient

Features:
(shadow sort mail-extr emacsbug message mailcap yank-media puny dired
dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
epg-config gnus-util time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045
ietf-drums mm-util mail-prsvr mail-utils orderless savehist vc-hg vc-git
diff-mode vc vc-dispatcher project byte-opt consult-vertico consult
compat-28 compat compat-macs recentf tree-widget wid-edit kmacro
bookmark text-property-search pp comp comp-cstr warnings icons rx
elec-pair vertico-flat vertico-multiform pcase vertico helpful-autoloads
elisp-refs-autoloads f-autoloads s-autoloads denote-autoloads popper
popper-autoloads magit-autoloads magit-section-autoloads
git-commit-autoloads with-editor-autoloads transient-autoloads
dash-autoloads elfeed-autoloads vertico-autoloads embark-autoloads
consult-autoloads compat-autoloads mb-depth orderless-autoloads delsel
xah-fly-keys xah-fly-keys-autoloads rainbow-mode-autoloads easy-mmode
g3r-dark-theme ef-themes-autoloads info mood-line mood-line-autoloads
straight-autoloads cl-seq cl-extra help-mode straight subr-x cl-macs gv
bytecomp byte-compile cconv so-long cl-loaddefs cl-lib rmc iso-transl
tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/pgtk-win pgtk-win term/common-win
pgtk-dnd tool-bar dnd fontset image regexp-opt fringe tabulated-list
replace newcomment text-mode lisp-mode prog-mode register page tab-bar
menu-bar rfn-eshadow isearch easymenu timer select scroll-bar mouse
jit-lock font-lock syntax font-core term/tty-colors frame minibuffer
nadvice seq simple cl-generic indonesian philippine cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite emoji-zwj charscript charprop
case-table epa-hook jka-cmpr-hook help abbrev obarray oclosure
cl-preloaded button loaddefs faces cus-face macroexp files window
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget keymap hashtable-print-readable backquote threads dbusbind
inotify dynamic-setting system-font-setting font-render-setting cairo
gtk pgtk lcms2 multi-tty make-network-process native-compile emacs)

Memory information:
((conses 16 158819 71652)
 (symbols 48 11974 2)
 (strings 32 43101 34802)
 (string-bytes 1 1641507)
 (vectors 16 26765)
 (vector-slots 8 465341 172223)
 (floats 8 83 459)
 (intervals 56 357 144)
 (buffers 1000 11))

-- 
German Pacenza




Acknowledgement sent to German Pacenza <germanp82@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#57627; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 10 Sep 2022 04:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.